# Makefile for protocol modules.
#
# IRC Services is copyright (c) 1996-2002 Andrew Church.
#     E-mail: <achurch@achurch.org>
# Parts written by Andrew Kempe and others.
# This program is free but copyrighted software; see the file COPYING for
# details.

###########################################################################

include ../../Makefile.inc

MODULES = bahamut.so dalnet.so dreamforge.so monkey.so rfc1459.so \
	  trircd.so ts8.so undernet-p9.so unreal.so
OBJECTS-bahamut.so = banexcept.o sjoin.o svsnick.o
OBJECTS-dreamforge.so = svsnick.o
OBJECTS-monkey.so = halfop.o sjoin.o
OBJECTS-trircd.so = banexcept.o chanprot.o halfop.o sjoin.o svsnick.o \
		    token.o
OBJECTS-unreal.so = banexcept.o chanprot.o halfop.o svsnick.o token.o
OTHEROBJ-unreal.so = sjoin-unreal.o

INCLUDES-bahamut.o = banexcept.h sjoin.h svsnick.h \
	$(TOPDIR)/messages.h $(TOPDIR)/language.h \
	$(TOPDIR)/modules/operserv/operserv.h \
	$(TOPDIR)/modules/nickserv/nickserv.h
INCLUDES-dalnet.o = $(TOPDIR)/messages.h $(TOPDIR)/language.h
INCLUDES-dreamforge.o = svsnick.h \
	$(TOPDIR)/messages.h $(TOPDIR)/language.h \
	$(TOPDIR)/modules/operserv/operserv.h \
	$(TOPDIR)/modules/nickserv/nickserv.h
INCLUDES-monkey.o = halfop.h sjoin.h \
	$(TOPDIR)/messages.h $(TOPDIR)/language.h \
	$(TOPDIR)/modules/operserv/operserv.h \
	$(TOPDIR)/modules/nickserv/nickserv.h
INCLUDES-trircd.o = banexcept.h chanprot.h halfop.h sjoin.h svsnick.h \
	token.h $(TOPDIR)/messages.h $(TOPDIR)/language.h \
	$(TOPDIR)/modules/operserv/operserv.h \
	$(TOPDIR)/modules/nickserv/nickserv.h
INCLUDES-undernet-p9.o = $(TOPDIR)/messages.h $(TOPDIR)/language.h
INCLUDES-unreal.o = banexcept.h chanprot.h halfop.h sjoin.h svsnick.h \
	token.h $(TOPDIR)/messages.h $(TOPDIR)/language.h \
	$(TOPDIR)/timeout.h $(TOPDIR)/modules/operserv/operserv.h \
	$(TOPDIR)/modules/nickserv/nickserv.h \
	$(TOPDIR)/modules/chanserv/chanserv.h

INCLUDES-banexcept.o = banexcept.h $(TOPDIR)/language.h \
	$(TOPDIR)/modules/chanserv/chanserv.h
INCLUDES-chanprot.o = chanprot.h $(TOPDIR)/language.h \
	$(TOPDIR)/modules/chanserv/chanserv.h
INCLUDES-halfop.o = halfop.h $(TOPDIR)/language.h \
	$(TOPDIR)/modules/chanserv/chanserv.h
INCLUDES-sjoin.o = sjoin.h $(TOPDIR)/modules/chanserv/chanserv.h
INCLUDES-svsnick.o = svsnick.h $(TOPDIR)/language.h \
	$(TOPDIR)/modules/nickserv/nickserv.h
INCLUDES-token.o = token.h $(TOPDIR)/messages.h

include ../Makerules

###########################################################################

sjoin-unreal.o: sjoin.c $(DEPS) $(INCLUDES-sjoin.o)
	$(CC) $(CFLAGS) -DUNREAL_HACK -I$(TOPDIR) -c sjoin.c -o $@
